# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "stompserver"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Timothy Redaelli"]
  s.date = "2014-03-02"
  s.description = "Stomp messaging server with file/dbm/memory/activerecord based FIFO\nqueues, queue monitoring, and basic authentication."
  s.email = ["timothy@redaelli.eu"]
  s.executables = ["stompserver"]
  s.extra_rdoc_files = ["History.txt", "Manifest.txt", "README.txt", "client/README.txt"]
  s.files = ["bin/stompserver", "History.txt", "Manifest.txt", "README.txt", "client/README.txt"]
  s.homepage = "https://github.com/drizztbsd/stompserver"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--main", "README.txt"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "stompserver"
  s.rubygems_version = "1.8.23"
  s.summary = "Stomp messaging server with file/dbm/memory/activerecord based FIFO queues, queue monitoring, and basic authentication."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0.7.2"])
      s.add_runtime_dependency(%q<hoe>, [">= 2.0.0"])
      s.add_development_dependency(%q<rdoc>, ["~> 4.0"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0.7.2"])
      s.add_dependency(%q<hoe>, [">= 2.0.0"])
      s.add_dependency(%q<rdoc>, ["~> 4.0"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0.7.2"])
    s.add_dependency(%q<hoe>, [">= 2.0.0"])
    s.add_dependency(%q<rdoc>, ["~> 4.0"])
  end
end
